Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.examples.nurserostering.domain
Class WorkBeforeFreeSequencePattern

    java.lang.Object
      org.optaplanner.examples.common.domain.AbstractPersistable
          org.optaplanner.examples.nurserostering.domain.Pattern
              org.optaplanner.examples.nurserostering.domain.WorkBeforeFreeSequencePattern

All Implemented Interfaces:
  Serializable, Comparable<AbstractPersistable>

    public class WorkBeforeFreeSequencePattern

extends Pattern

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.optaplanner.examples.nurserostering.domain.Pattern
`code, weight`

Fields inherited from class org.optaplanner.examples.common.domain.AbstractPersistable
`id`

Constructor Summary
`WorkBeforeFreeSequencePattern()`

Method Summary
`int` | `getFreeDayLength()`
`DayOfWeek` | `getWorkDayOfWeek()`
`ShiftType` | `getWorkShiftType()`
`void` | `setFreeDayLength(int freeDayLength)`
`void` | `setWorkDayOfWeek(DayOfWeek workDayOfWeek)`
`void` | `setWorkShiftType(ShiftType workShiftType)`
`String` | `toString()`

Methods inherited from class org.optaplanner.examples.nurserostering.domain.Pattern
`getCode, getWeight, setCode, setWeight`

Methods inherited from class org.optaplanner.examples.common.domain.AbstractPersistable
`compareTo, getId, setId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WorkBeforeFreeSequencePattern

    public WorkBeforeFreeSequencePattern()

Method Detail

### getWorkDayOfWeek

    public DayOfWeek getWorkDayOfWeek()

### setWorkDayOfWeek

    public void setWorkDayOfWeek(DayOfWeek workDayOfWeek)

### getWorkShiftType

    public ShiftType getWorkShiftType()

### setWorkShiftType

    public void setWorkShiftType(ShiftType workShiftType)

### getFreeDayLength

    public int getFreeDayLength()

### setFreeDayLength

    public void setFreeDayLength(int freeDayLength)

### toString

    public String toString()

  Overrides:
    `toString` in class `Pattern`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.